# eslint-config-docs

Eslint configuration for docs.mapbox.com sites. This configuration helps us catch incompatible features, enforce React proptypes, and more.

## Install

Add the package to your project:

```
npm install @mapbox/eslint-config-docs --save-dev
```

Add this config name to `extends` in your eslint config. For docs sites, add it to `conf/eslint-config-browser.json`. Example:

```
"extends": ["./eslint-config-base.json", "@mapbox/eslint-config-docs"]
```

## How to release

From the main branch:

1. If you haven't already, update CHANGELOG.md to describe the changes, commit, and push.
2. Run `npm version {major|minor|patch}`. Example (and usually): `npm version minor`.
3. Push changes.
4. Run `mbx npm publish` to publish the package to npm.

Dependabot will automatically update `@mapbox/eslint-config-docs` (within 1 day) to all site repositories. If you need it sooner, you can install this package in the repository by following the [install steps](#install).

This package uses npm 7, which means it will automatically install the `peerDependnecies` found in `package.json`. If your site requires a different version of a peer dependency, you can install the dependency in your repository using the `--force ` flag. Example: `npm i eslint-plugin-jsx-a11y@5 --force`.
